package vip.xumy.learn.eureka.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class HelloControler {

    @Autowired
    SchedualServiceHi helloService;

    @GetMapping(value = "/hi/{name}")
    public String hi(@PathVariable("name") String name) {
        return helloService.sayHiFromClientOne( name );
    }
}


